import { CLIError } from '@oclif/errors';
import { AxiosError } from 'axios';
import { InvalidDefinitionError } from './models';
declare type MessagesAndExitCode = [string[], number];
export default class APIError extends CLIError {
    http: AxiosError;
    exitCode: number;
    status?: number;
    constructor(httpError: AxiosError, info?: string[], exit?: number);
    static is(error: Error): error is APIError;
    static notFound(error: Error): MessagesAndExitCode;
    static invalidDefinition(error: InvalidDefinitionError): MessagesAndExitCode;
    static humanAttributeError(attribute: string, messages: unknown): string[];
    static unauthenticated(): MessagesAndExitCode;
}
export {};
