import * as Config from '@oclif/config';
import { AxiosInstance, AxiosResponse } from 'axios';
import { PingResponse, PreviewRequest, PreviewResponse, VersionRequest, VersionResponse, DiffRequest, DiffResponse, WithDiff } from './models';
import APIError from './error';
declare class BumpApi {
    protected config: Config.IConfig;
    protected readonly client: AxiosInstance;
    constructor(config: Config.IConfig);
    getPing: () => Promise<AxiosResponse<PingResponse>>;
    getVersion: (versionId: string, token: string) => Promise<AxiosResponse<VersionResponse & WithDiff>>;
    postPreview: (body?: PreviewRequest | undefined) => Promise<AxiosResponse<PreviewResponse>>;
    putPreview: (versionId: string, body?: PreviewRequest | undefined) => Promise<AxiosResponse<PreviewResponse>>;
    postVersion: (body: VersionRequest, token: string) => Promise<AxiosResponse<VersionResponse>>;
    postDiff: (body: DiffRequest) => Promise<AxiosResponse<DiffResponse>>;
    getDiff: (diffId: string, format: string) => Promise<AxiosResponse<DiffResponse>>;
    postValidation: (body: VersionRequest, token: string) => Promise<AxiosResponse<void>>;
    private initializeResponseInterceptor;
    private handleError;
    private authorizationHeader;
}
export * from './models';
export { BumpApi, APIError };
