"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const command_1 = require("@oclif/command");
const debug_1 = (0, tslib_1.__importDefault)(require("debug"));
const api_1 = require("./api");
const package_json_1 = (0, tslib_1.__importDefault)(require("../package.json"));
class Command extends command_1.Command {
    constructor() {
        super(...arguments);
        this.base = `${package_json_1.default.name}@${package_json_1.default.version}`;
    }
    get bump() {
        if (!this._bump)
            this._bump = new api_1.BumpApi(this.config);
        return this._bump;
    }
    async catch(error) {
        if (error && api_1.APIError.is(error)) {
            this.error(error.message, { exit: error.exitCode });
        }
        throw error;
    }
    // Function signature type taken from @types/debug
    // Debugger(formatter: any, ...args: any[]): void;
    /* eslint-disable-next-line @typescript-eslint/explicit-module-boundary-types, @typescript-eslint/no-explicit-any */
    d(formatter, ...args) {
        return (0, debug_1.default)(`bump-cli:command:${this.constructor.name.toLowerCase()}`)(formatter, ...args);
    }
}
exports.default = Command;
