import Command from '../command';
import * as flagsBuilder from '../flags';
export default class Deploy extends Command {
    static description: string;
    static examples: string[];
    static flags: {
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        doc: flagsBuilder.IOptionFlag<string | undefined>;
        'doc-name': flagsBuilder.IOptionFlag<string | undefined>;
        hub: flagsBuilder.IOptionFlag<string | undefined>;
        branch: flagsBuilder.IOptionFlag<string | undefined>;
        token: flagsBuilder.IOptionFlag<string | undefined>;
        'auto-create': import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        interactive: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        'filename-pattern': flagsBuilder.IOptionFlag<string | undefined>;
        'dry-run': import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
    };
    static args: {
        name: string;
        required: boolean;
        description: string;
    }[];
    run(): Promise<void>;
    private deployDirectory;
    private deploySingleFile;
}
