import { API } from '../definition';
export declare type DefinitionConfig = {
    definition: API;
    file: string;
    slug: string;
};
export declare class DefinitionDirectory {
    protected readonly path: string;
    protected readonly definitions: DefinitionConfig[];
    protected readonly filenamePattern: RegExp;
    protected readonly humanFilenamePattern: string;
    protected buildNewFilename: (slug: string) => string;
    constructor(directory: string, filenamePattern: string);
    readDefinitions(): Promise<DefinitionConfig[]>;
    definitionsExists(): boolean;
    sequentialMap(callback: (definition: DefinitionConfig) => Promise<DefinitionConfig>): Promise<void>;
    renameToConvention(documentation: DefinitionConfig): Promise<void>;
    interactiveSelection(): Promise<DefinitionConfig[]>;
    d(formatter: any, ...args: any[]): void;
}
