import * as Config from '@oclif/config';
import { BumpApi } from '../api';
import { VersionResponse, WithDiff, DiffResponse } from '../api/models';
export declare class Diff {
    _bump: BumpApi;
    _config: Config.IConfig;
    constructor(config: Config.IConfig);
    run(file1: string, file2: string | undefined, documentation: string | undefined, hub: string | undefined, branch: string | undefined, token: string | undefined, format: string, expires: string | undefined): Promise<DiffResponse | undefined>;
    get bumpClient(): BumpApi;
    get pollingPeriod(): number;
    createDiff(file1: string, file2: string, expires: string | undefined): Promise<DiffResponse | undefined>;
    createVersion(file: string, documentation: string, token: string, hub: string | undefined, branch_name: string | undefined, previous_version_id?: string | undefined): Promise<VersionResponse | undefined>;
    waitResult(result: VersionResponse | DiffResponse, token: string | undefined, opts: {
        timeout: number;
        format: string;
    }): Promise<DiffResponse>;
    pollingDelay(): Promise<void>;
    private delay;
    d(formatter: any, ...args: any[]): void;
    isVersion(result: VersionResponse | DiffResponse): result is VersionResponse;
    isVersionWithDiff(result: (VersionResponse & WithDiff) | DiffResponse): result is VersionResponse & WithDiff;
    extractDiff(versionWithDiff: VersionResponse & WithDiff): DiffResponse;
}
