"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.File = exports.isDir = void 0;
const fs_1 = require("fs");
const path_1 = require("path");
const isDir = (path) => {
    try {
        return (0, fs_1.statSync)(path).isDirectory();
    }
    catch (e) {
        return false;
    }
};
exports.isDir = isDir;
class File {
    static listValidConventionFiles(path, regex) {
        return File.listValidFormatFiles(path).filter(({ filename }) => {
            return filename.match(regex);
        });
    }
    static listInvalidConventionFiles(path, regex) {
        return File.listValidFormatFiles(path).filter(({ filename }) => {
            return !filename.match(regex);
        });
    }
    static listValidFormatFiles(path) {
        return (0, fs_1.readdirSync)(path)
            .filter((file) => {
            return File.supportedFormats.includes((0, path_1.extname)(file));
        })
            .map((file) => {
            return {
                value: file,
                label: (0, path_1.basename)(file),
                filename: (0, path_1.basename)(file, (0, path_1.extname)(file)),
            };
        });
    }
}
exports.File = File;
File.supportedFormats = ['.yml', '.yaml', '.json'];
