"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.confirm = void 0;
const tslib_1 = require("tslib");
const errors_1 = require("@oclif/errors");
const p = (0, tslib_1.__importStar)(require("@clack/prompts"));
const confirm = async (message = 'Continue?') => {
    const prompt = await p.group({
        shouldContinue: () => p.confirm({ message: message }),
    }, {
        onCancel: () => {
            p.cancel('Cancelled.');
            process.exit(0);
        },
    });
    if (!prompt.shouldContinue) {
        throw new errors_1.CLIError(`Cancelled`);
    }
    return;
};
exports.confirm = confirm;
